Subject: Re: linux-next: Signed-off-by missing for commit in the nfsd tree

From: "J. Bruce Fields" <[email-masked]>
Date: Fri, 21 May 2021 10:01:51 -0400

On Fri, May 21, 2021 at 01:55:03PM +0000, Kornievskaia, Olga wrote:
> 
> 
> On 5/21/21, 9:51 AM, "J. Bruce Fields" <[email-masked]> wrote:
> 
>     NetApp Security WARNING: This is an external email. Do not click links or open attachments unless you recognize the sender and know the content is safe.
> 
> 
> 
> 
>     On Fri, May 21, 2021 at 08:04:16AM +1000, Stephen Rothwell wrote:
>     > Hi all,
>     >
>     > Commit
>     >
>     >   ff78b9442926 ("NFSD add vfs_fsync after async copy is done")
>     >
>     > is missing a Signed-off-by from its author.
> 
>     Olga, can I add
> 
>             Signed-off-by: Olga Kornievskaia <[email-masked]>
> 
>     ?
> 
> [olga] But the post/patch contains that?

Whoops, you're right.

> I don’t understand. Even attached file has it. I think what trips
> these system is that I use gmail to submit patches but signed-off-by
> is from my netapp email. Unfortunately, I have no way of submitting
> them from netapp. So the patch is correct the automated system is
> let's say is "too strict"?

I'm using "git am -s" and that's not picking up your Signed-off-by line
for some reason.  Looking at the mail....

Oh, I see, your mail looked in part like:

  However, in order to save the client doing a COMMIT as a separate
  rpc, the server can reply back with NFS_FILE_SYNC copy. This patch
  proposed to add vfs_fsync() call at the end of the async copy.
  
  --- v2: moved the committed argument into the nfsd4_copy structure
  
  Signed-off-by: Olga Kornievskaia <[email-masked]>
  ---
   fs/nfsd/nfs4proc.c | 14 +++++++++++++-
    fs/nfsd/xdr4.h     |  1 +
     2 files changed, 14 insertions(+), 1 deletion(-)

But git uses "---" to mark the end of the changelog.  That allows you to
include the diffstat, or any other notes that you want included in the
mail but not in the final changelog.

That "v2:" note is probably also something that belongs in the mail but
not the changelog, so in future if you just move that kind of thing to
after the Signed-off-by line, git-am will do the right thing.

--b.